Results 1 to 6 of 6

Thread: ATI "fglrx" Support On Ubuntu 8.04

  1. #1
    Join Date
    Jan 2007
    Posts
    15,645

    Default ATI "fglrx" Support On Ubuntu 8.04

    Phoronix: ATI "fglrx" Support On Ubuntu 8.04

    If you've been trying out the latest alpha builds of Ubuntu 8.04 "Gutsy Gibbon" and are using the ATI binary driver, you may want to check out the latest packaging scripts from Phorogit. For Ubuntu users, there is now 8.04 support so you can run --buildpkg Ubuntu/hardy or --buildpkg Ubuntu/8.04 for building your Debian packages.

    http://www.phoronix.com/vr.php?view=NjI0OA

  2. #2
    Join Date
    Dec 2007
    Posts
    6

    Default

    Just to report a typo : 8.04 is codenamed Hardy Heron, and not Gutsy Gibbon.

  3. #3
    Join Date
    Sep 2007
    Posts
    66

    Default

    With the DKMS of AMD Catalyst 7.12 if I update the kernel or X.org is it true taht I will not be obligate to reinstall the driver?

  4. #4

    Default

    Quote Originally Posted by pierluc View Post
    With the DKMS of AMD Catalyst 7.12 if I update the kernel or X.org is it true taht I will not be obligate to reinstall the driver?

    If you upgrade the kernel you shouldn't need to rebuild the fglrx kernel module. Regarding X.Org upgrades, you could still experience ABI breakage with the upgrade.

  5. #5
    Join Date
    Sep 2007
    Posts
    66

    Default

    What is the ABI breakage?

  6. #6
    Join Date
    Aug 2007
    Posts
    6,675

    Default

    There is no diff if you use gutsy or hardy target. dkms is used for both. I backported dkms to Kanotix too, but did not use it in my script yet. The edgy target does not use dkms which i call. It basically does not matter if you use edgy or feisty both are the same like gutsy and hardy. All 4 use the x710 dirs to get the files from. But as hardy uses Xserver 1.4 you should better report the stupid driver bugs. Like no AIGLX support, starting glxinfo or the amdcccle as first app does not work until you start a 2nd one like glxgears just to init the 3d mode correctly. Also gl2benchmark segfaults with everything newer than 8.40.4 (tested 64 bit only). Btw. dkms is not in main only in universe (just like module-assistant) so a "pure" Ubuntu will not work.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •